import React from "react"
import { Outlet } from "react-router";
import TopBar from "../components/TopBar";
import { ThemeProvider, styled } from "styled-components";
import theme from "../styles/Theme";


const OutletBox = styled.div`
    margin-top: 6em;
`

const Root: React.FC = () => {


    return (
    <ThemeProvider theme={theme}>    
        <TopBar/>
        <OutletBox>

            <Outlet/>
        </OutletBox>
    </ThemeProvider>
    )
}
export default Root;